Skip to main content
GET
/
v3
/
sites
/
{site}
/
power-history
Get Power History
curl --request GET \
  --url https://app.plugchoice.com/api/v3/sites/{site}/power-history \
  --header 'Authorization: Bearer <token>'
Returns historical power metrics for a branch (location group) or connector. Data is sampled to a maximum of 200 points. Use the from and to parameters to zoom in on a specific time range for more granular data.
site
string
required
The UUID of the location.
type
string
required
The history type. Must be branch or connector.
entity_id
integer
required
The entity ID. Use the site_group_id when type is branch, or the charger_id when type is connector.
connector_id
integer
The connector ID. Required when type is connector.
from
string
Start date/time filter in ISO 8601 format (e.g., 2024-01-01T00:00:00Z).
to
string
End date/time filter in ISO 8601 format. Must be after or equal to from.